use crate::database;
use crate::database::NodeInfo;
use rand::rngs::OsRng;

pub fn add_node(ip: String) {
    let mut csprng = OsRng;
    database::add_node(
        ip,
        NodeInfo {
            pubkey: ed25519_dalek::SigningKey::generate(&mut csprng).verifying_key(),
            updated_at: std::time::SystemTime::now(),
        },
    )
}
